<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextCategory Method (IEdmCategoryMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCategoryMgr6 Interface : GetNextCategory Method (IEdmCategoryMgr6)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next category in the list

Gets the next category in the enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextCategory( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmCategory6

C# |
--- | ---

    IEdmCategory6 GetNextCategory(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmCategory6^ GetNextCategory(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next category in the list

#### Return Value

IEdmCategory6

# Example

See the IEdmCategoryMgr6 examples.

# Remarks

To obtain the position of the first category in the list, call IEdmCategoryMgr6::GetFirstCategoryPosition.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the categories.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: No more categories can be accessed.

# See Also

####

IEdmCategoryMgr6 Interface
IEdmCategoryMgr6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0